# boost::numeric::ublas::type_traits< std::complex< double > > Struct Template Reference

Inherits complex_traits< std::complex< double > >.

List of all members.

## Public Types

typedef type_traits < std::complex< double > > | self_type
typedef std::complex< double > | value_type
typedef const value_type & | const_reference
typedef value_type & | reference
typedef double | real_type
typedef std::complex< long double > | precision_type

### template<>
struct boost::numeric::ublas::type_traits< std::complex< double > >